package blanco.sax.util;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;

import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerConfigurationException;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.TransformerFactoryConfigurationError;
import javax.xml.transform.sax.SAXResult;
import javax.xml.transform.stream.StreamSource;

import blanco.ig.expander.NameAdjuster;

public class BlancoSaxUtil {
    public static void doTransform(final File sourceFile, SAXResult result)
            throws TransformerFactoryConfigurationError {
        InputStream inStream = null;
        try {
            inStream = new FileInputStream(sourceFile);
            TransformerFactory tf = TransformerFactory.newInstance();
            Transformer transformer;
            transformer = tf.newTransformer();
            transformer.transform(new StreamSource(inStream), result);
        } catch (TransformerConfigurationException e) {
            e.printStackTrace();
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        } catch (TransformerException e) {
            e.printStackTrace();
        } finally {
            try {
                inStream.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }

    public static String toClassName(String arg) {
        final NameAdjuster adjuster = new NameAdjuster();
        // JDK1.4ł replace(char, char)łB
        return adjuster.toClassName(arg.replace(':', '_').replace('/', '_'));
    }
}
